echo off
SETLOCAL
SET CURRENT_DIR=%~dp0
SET CURRENT_DIR=%CURRENT_DIR:~0,-1%

REM ------------------------------------------------------------
REM If Media Pump is unable to find the location of the
REM Image Magick executables, set the following environment
REM variable "IMAGE_MAGICK_HOME" to the installation directory
REM of the Image Magick software suite.
REM
REM SET IMAGE_MAGICK_HOME=C:\Program Files\ImageMagick-6.9.3-Q16
REM
REM -------------------------------------------------------------

IF DEFINED IMAGE_MAGICK_HOME SET IMAGE_MAGICK_CONVERT_PATH=%IMAGE_MAGICK_HOME%\convert.exe
IF DEFINED IMAGE_MAGICK_HOME SET IMAGE_MAGICK_MOGRIFY_PATH=%IMAGE_MAGICK_HOME%\mogrify.exe
IF DEFINED IMAGE_MAGICK_HOME SET IMAGE_MAGICK_FFMPEG_PATH=%IMAGE_MAGICK_HOME%\ffmpeg.exe

java -jar media-pump.jar
ENDLOCAL